/**
 * 
 */
package net.phatcode.rel;


/**
 * @author Anya
 *
 */
public class BehaviorLinear extends Behavior
{

	public BehaviorLinear()
	{
		
	}

	@Override
	public void update( Entity entity )
	{
		entity.velocity.set(entity.direction);
		entity.velocity.scale( entity.speed );
		entity.velocity.add( entity.gravity );
		entity.position.add( entity.velocity );
	}

}
